Product spaces

Create Product Space

Create a product space in the organization.

POST
/opm/product-spaces/

Authorization

clientKeyHeader clientSecretHeader
x-client-key<token>

Client API key credential.

In: header

x-client-secret<token>

Client API secret credential.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.dokaai.com/api/v1/dokaai/opm/product-spaces/" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{
  "status": "success",
  "message": "string",
  "data": {
    "id": "string",
    "name": "string",
    "description": "string",
    "orgId": "string",
    "code": "string"
  },
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}